## org.apache.xerces.stax
Class DefaultNamespaceContext

    java.lang.Object
      org.apache.xerces.stax.DefaultNamespaceContext

All Implemented Interfaces:
  javax.xml.namespace.NamespaceContext

    public final class DefaultNamespaceContext

extends java.lang.Object
implements javax.xml.namespace.NamespaceContext

A `NamespaceContext` which only contains bindings for the xml and xmlns prefixes.

Version:
  $Id: DefaultNamespaceContext.java 730672 2009-01-02 06:15:08Z mrglavas $
Author:
  Michael Glavassevich, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`static DefaultNamespaceContext` `getInstance()` Returns the one and only instance of this class.
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`
`java.lang.String` `getPrefix(java.lang.String namespaceURI)`
`java.util.Iterator` `getPrefixes(java.lang.String namespaceURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DefaultNamespaceContext getInstance()

  Returns the one and only instance of this class.

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.namespace.NamespaceContext`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceURI)

  Specified by:
    `getPrefix` in interface `javax.xml.namespace.NamespaceContext`

### getPrefixes

    public java.util.Iterator getPrefixes(java.lang.String namespaceURI)

  Specified by:
    `getPrefixes` in interface `javax.xml.namespace.NamespaceContext`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.